ICharacterEscaper (JiBX Java data binding to XML - Version 1.1.6a)
Date: 2008-06-08

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime
Interface ICharacterEscaper

All Known Implementing Classes:
  ISO88591Escaper, USASCIIEscaper, UTF8Escaper

    public interface ICharacterEscaper

Escaper for character data to be written to output document. This allows special character encodings to be handled appropriately on output. It's used by the generic output handler class during document marshalling.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Method Summary
`void` | `writeAttribute(java.lang.String text, java.io.Writer writer)` Write attribute value with character entity substitutions.
`void` | `writeCData(java.lang.String text, java.io.Writer writer)` Write CDATA to document.
`void` | `writeContent(java.lang.String text, java.io.Writer writer)` Write content value with character entity substitutions.

Method Detail

### writeAttribute

    void writeAttribute(java.lang.String text,
                        java.io.Writer writer)
                        throws java.io.IOException

  Write attribute value with character entity substitutions. This assumes that attributes use the regular quote ('"') delimitor.

  Parameters:
    `text` - attribute value text
    `writer` - sink for output text
  Throws:
    `java.io.IOException` - on error writing to document

### writeContent

    void writeContent(java.lang.String text,
                      java.io.Writer writer)
                      throws java.io.IOException

  Write content value with character entity substitutions.

  Parameters:
    `text` - content value text
    `writer` - sink for output text
  Throws:
    `java.io.IOException` - on error writing to document

### writeCData

    void writeCData(java.lang.String text,
                    java.io.Writer writer)
                    throws java.io.IOException

  Write CDATA to document. This writes the beginning and ending sequences for a CDATA section as well as the actual text, verifying that only characters allowed by the encoding are included in the text.

  Parameters:
    `text` - content value text
    `writer` - sink for output text
  Throws:
    `java.io.IOException` - on error writing to document

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |